:root {
  color-scheme: light only;
  --black: #103853;
  --grey: #707070;
  --white: #ecf8ff;
  --active: #a8d1ec;
  --highlight: #235677;
  --font: "Noto Sans SC", sans-serif;
  --font2: "DM Sans", sans-serif;
  --font3: "Noto Serif SC", serif;
  --navheight: 70px;
  --txt_l: 20px;
  --txt_heading: 24px;
}

@media only screen and (max-width: 768px) {
  :root {
    --navheight: 65px;
  } 
}
/*---------------------------------------
   Animation
-----------------------------------------*/
@keyframes fadein{
	from {opacity: 0;}
    to {opacity: 1;}
}
@keyframes fadein_top{
	from {transform: translateY(300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_bottom{
	from {transform: translateY(-300px); opacity: 0;}
    to {transform: translateY(0); opacity: 1;}
}
@keyframes fadein_left{
	from {transform: translateX(-500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes fadein_right{
	from {transform: translateX(500px); opacity: 0;}
    to {transform: translateX(0); opacity: 1;}
}
@keyframes popin{
  0% {transform: scale(2); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes popout{
  0% {transform: scale(0); opacity: 0;}
  100% {transform: scale(1); opacity: 1;}
}
@keyframes rotate{
  0% {transform: rotate(0deg);}
  100% {transform: rotate(360deg);}
}
@keyframes toleft{
  0% {transform: translateX(0);}
  100% {transform: translateX(-3000px);}
}

/*---------------------------------------
   Normalize    
-----------------------------------------*/
body{
  position: relative;
  width: 100%;
  margin: 0px;
  padding: 0px;
  color: var(--black);
  font-size:  var(--txt_s);
  font-family: var(--font);
  font-weight: 500;
  text-wrap: pretty;
  min-height: 100vh;
  min-height: 100svh;
  min-height: 100dvh;
  background: var(--black);
  background: #0e0e0e;
}

.maincontainer{
  width: 100%;
  max-width: 1200px;
  height: 100%;
  margin: auto;
  padding-bottom: 5vw;
  z-index: 15;
}

p, li {
  font-size: var(--txt_body);
  line-height: calc(var(--txt_body) + 5px);
  font-weight: 400;
}

ol{
  padding-left: 18px;
}

button, a{
  pointer-events: all;
  cursor: pointer;
}

.divider.verti{
  margin: 0;
  width: 0;
  height: 100px;
  border-left: 1.5px solid white;
}

.logo{
  width: 218px;
  max-width: 12%;
  aspect-ratio: 218 / 76;
  background: url(../img/logo.png) top center no-repeat;
  background-size: contain;
}

@media screen and (max-width: 768px) {
  .maincontainer{
    width: 100%;
    max-width: 1200px;
    height: 100%;
    margin: auto;
    padding-bottom: 15vw;
    z-index: 15;
  }
  .draggable-scroll{
    cursor: grab;
  }
  .logo{
    max-width: 30vw;
    z-index: 9999;
  }
}

/*---------------------------------------
   Scroll Effect       
-----------------------------------------*/
::-webkit-scrollbar {
  width: 6px;
  height: 3.5px;
}
::-webkit-scrollbar-track {
  opacity: 0;
  /* background:  rgba(226, 226, 226,.5); */
}
::-webkit-scrollbar-thumb {
  background: rgba(67, 169, 233, 0.7);
  border-radius: 6px;
}
::-webkit-scrollbar-thumb:hover {
  background: #45adee;
}

body.modal-open {
  overflow-y: scroll; /* Ensures the scrollbar stays visible */
}

/*---------------------------------------
   NAVBAR
-----------------------------------------*/
.navigation{
  padding: 15px 2%;
  top: 0;
  position: fixed;
  z-index: 9999;
}

#navbarNav{
  position: relative;
  max-height: fit-content;
  width: 100vw;
}


/*---------------------------------------
   KV
-----------------------------------------*/
#KV{
  position: relative;
  width: 100vw;
  max-width: 1920px;
  aspect-ratio:  1920/910;
  background: url(../img/kv.jpg) top center no-repeat;
  background-size: cover;
  left: 50%;
  transform: translateX(-50%);
}
#KV::before{
  content: "";
  position: absolute;
  width: 100%;
  max-width: 100vw;
  height: 100%;
  background: linear-gradient(to top, rgba(0,0,0,.7) 0%, rgba(0,0,0,0) 50%);
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  pointer-events: none;
}

@media only screen and (max-width: 768px) {
  #KV{
    aspect-ratio: 780 / 1450;
    background: url(../img/kv_m.jpg) top center no-repeat;
    background-size: cover;
  }
  #KV::before{
    background: linear-gradient(to top, rgba(0, 0, 0, .7) 20%, rgba(0, 0, 0, 0) 60%, rgba(0, 0, 0, 0) 90%,rgba(0, 0, 0, .7));
  }
  .slogan.hidden{
    width: 98%;
  }
}

.btn_download{
  display: block;
  width: 500px;
  max-width: 36vw;
  border-radius: 6px;
  padding: 15px 30px;
  color: rgba(256, 256, 256, 1);
  background-color: rgba(0, 0, 0, 0.6);
  box-shadow: #bd9b6e 0 0px 0px 2px inset;
}
.btn_download:hover{
  color: black;
  background-color:#bd9b6e;
}

#KV img{
  width: fit-content;
  width: 650px;
  max-width: 40vw;
}

.slogan{
  width: 700px;
}

@media only screen and (max-width: 768px) {
  .btn_download, #KV img{
    max-width: 90vw;
  }
  .btn_download:hover{
    color: black;
    background-color:#bd9b6e;
  }
}